var $= jQuery.noConflict();

/* -----------------------------------------------------------------------------
   Polyfills
----------------------------------------------------------------------------- */

var managePolyfills = function () {

  Modernizr.load({
    test: Modernizr.input.placeholder,
    nope: 'assets/js/plugins/jquery.placeholder.min.js',
    complete : function() {

      // Placeholder
      if( $.fn.placeholder )
        $('input[placeholder], textarea[placeholder]').placeholder();
      }
  });

};


/* -----------------------------------------------------------------------------
   Skip-links
----------------------------------------------------------------------------- */

var skipLinks = function() {

  $('#skip-links a').bind('focus blur', function() {

    $( this.hash )
      .toggleClass('target')
      .attr('tabindex', '-1');
    });

};




/* -----------------------------------------------------------------------------
   Text size
----------------------------------------------------------------------------- */

var textTools = function(target) {

  var $target = $(target);
  var step = 2;
  var minSize = 10;
  var maxSize = 24;

  $('button.js-text-plus').click(function (event) {

    var currentSize = parseInt($target.css('fontSize'), 10);

    if(currentSize < maxSize)
    $target.css('fontSize', currentSize + step);

  });

  $('button.js-text-minus').click(function (event) {

    var currentSize = parseInt($target.css('fontSize'), 10);

    if(currentSize > minSize)
      $target.css('fontSize', currentSize - step);

  });

};


/* -----------------------------------------------------------------------------
   goToURL
----------------------------------------------------------------------------- */

var goToURL = function() {

  $('select.select-go-to-url').change(function() {

    var url = $(this)[0].options[$(this)[0].selectedIndex].value;

    if( url.indexOf('http') === 0 ) {
      window.open(url);
    }

  });

};



/* -----------------------------------------------------------------------------
   Equalize
----------------------------------------------------------------------------- */

$.fn.equalize = function() {

  var minHeight = 0;
  var arrayLines = [];

  $(this).each(function(i, el) {

    var offsetTop = $(el).offset().top;
    var offsetLabel = 'offset-'+ offsetTop;

    //console.log('offset:', offsetTop);

    // Create table
    if( ! arrayLines[offsetLabel] ) {
      arrayLines[offsetLabel] = Array();
      arrayLines[offsetLabel].push(el);
    }
    else {
      arrayLines[offsetLabel].push(el);
      var length = arrayLines[offsetLabel].length;

      //console.log(arrayLines[offsetLabel]);
      //console.log(arrayLines[offsetLabel][0].offsetHeight, this.offsetHeight);
      minHeight = Math.max(arrayLines[offsetLabel][0].offsetHeight, this.offsetHeight);

      //console.log(minHeight);

      // Apply minHeight
      $.each(arrayLines[offsetLabel], function(i, el) {
        $(el).css("minHeight", minHeight);
      });
    }

  });

  return $(this);

};



/* -----------------------------------------------------------------------------
   Tree
----------------------------------------------------------------------------- */

var secondNav = function() {

  // Active tree
  $('#sidebar-nav ul').tree({
    expanded: '.nav-active'
  });

};





/* -----------------------------------------------------------------------------
   Open close
----------------------------------------------------------------------------- */

function openClose(item) {

  if(typeof item != 'string') {
    return;
  }
  var root = $('#'+item);
  var trigger_on = 'bt-open.png';
  var trigger_off = 'bt-close.png';

  root.each(function() {

     $(this).find('.openclose').each(function() {

        $(this).prepend('<div class="alternate-view"><a href="#" title="Afficher le contenu"><img src="assets/img/'+ trigger_on +'" alt="Afficher le contenu" /></a></div>');

        // Afficher les zones si la classe blocOpenclose-open est présente
        if($(this).hasClass('blocOpenclose-open'))
        {
          $(this).find('.content').show();
          $(this).find('.alternate-view a')
            .addClass('active')
            .attr('title', 'Masquer le contenu')
            .find('img')
              .attr('src', $(this).find('img').attr('src').replace(trigger_on, trigger_off))
              .attr('alt', 'Masquer le contenu');
        }

      });

  });


  root.find('.allopenclose a').click(function() {
      if($(this).hasClass('active')) {
          $(this).removeClass('active').parents('#'+item).find('.openclose a').removeClass('active').attr('title', 'Afficher le contenu').parents('.openclose').find('.content').slideUp();
      } else {
          $(this).addClass('active').parents('#'+item).find('.openclose a').addClass('active').attr('title', 'Masquer le contenu').parents('.openclose').find('.content').slideDown();
      }

      return false;
  });


  // Au clic sur un titre, déclencher l'évènement de la flèche
  root.find('.openclose h3').click(function() {
    $(this).prev().find('a')
      .trigger('click');
  });

  // Au clic sur la flèche
  root.find('.openclose .alternate-view a').click(function() {

      if($(this).hasClass('active')) {
          // Mettre à jour le alt
          $(this).find('img').attr('src', $(this).find('img').attr('src').replace(trigger_off, trigger_on)).attr('alt', 'Afficher le contenu');
          $(this).removeClass('active').attr('title', 'Afficher le contenu').parents('.openclose').find('.content').slideUp();
      } else {
          // Mettre à jour le alt
          $(this).find('img').attr('src', $(this).find('img').attr('src').replace(trigger_on, trigger_off)).attr('alt', 'Masquer le contenu');
          $(this).addClass('active').attr('title', 'Masquer le contenu').parents('.openclose').find('.content').slideDown();
      }

      return false;

  });
}
