
(function( $ ){
	
	/**
	* Plugin jQuery tabs v1.0.0
	* 
	*/
  $.fn.tabs = function() {

		return this.each(function() {
			

			$(this).addClass('mfe-tabs-active');

			// Ajouter les onglets au DOM
			var $tabs = $(this).find('> div');
			var ul = $('<ul class="mfe-tabs-links"></ul>');
			var tabs_count = $tabs.length;
			var unique_id = getRandomNumber();

			// S'assurer d'avoir un id unique
			while( $('#mfe-tab-'+ unique_id +'-0').length > 0 )
			{
				console.log(unique_id);
				unique_id = getRandomNumber();
			}

			// Masquer les onglets (sauf le 1er)
			$tabs.eq(0).addClass('mfe-tab-active');

			// Masquer les titres
			$tabs.find('.mfe-tab-title').addClass('display-none');

			// Parcourir les onglets & générer les liens
			$tabs.each(function(i) {

				$title = $(this).find('> .mfe-tab-title');
				var tab_id = 'mfe-tab-'+ unique_id +'-'+ i ;
				var li = $('<li><a href="#'+ tab_id +'">'+ $title.html() +'</a></li>');
				$(this).attr('id', tab_id);


				// Placer des classes pour les styles
				if(i == 0) li.addClass('mfe-tab-first mfe-tab-active-link');
				if(i == tabs_count-1) li.addClass('mfe-tab-last');

				li.appendTo(ul);

			});


			// Gerer le clic
			ul.find('a').click(function(event) {

				event.preventDefault();

				// Ne rien faire au clic sur l'onglet actif
				if( $(this).parent().hasClass('mfe-tab-active-link') )
					return false;

				// Desactiver l'onglet actif
				$(this).parents('.mfe-tabs').find('.mfe-tab-active, .mfe-tab-active-link')
					.removeClass('mfe-tab-active-link')
					.removeClass('mfe-tab-active');

				// Afficher l'onglet correspondant
				var id = $(this).attr('href').substring($(this).attr('href').indexOf('#', 0));
				$(id).addClass('mfe-tab-active');
				$(this).parent().addClass('mfe-tab-active-link');

			});
	
			ul.prependTo($(this));
	
		});
 	};


 	function getRandomNumber()
 	{
 		return Math.round( Math.random() * 1000 );
 	}

})( jQuery );